[CentOS] Yum update crashed, now I have lots of missing deps

Karanbir Singh mail-lists at karan.org
Fri Oct 21 09:42:25 UTC 2005

Remco Barendse wrote:
> Error: Missing Dependency: gcc4 = 4.0.0-0.14.EL4 is needed by package 
> libmudflap-devel
> Error: Missing Dependency: kdebase = 6:3.3.1-5.5 is needed by package 

( this issue along with the 'existance of more than 1 instance of the 
same pkg name' has been discussed previously a few times, look through 
the recent archieves for the relevant .rpmmacros etc )

firstly, check what mirror you are using in 
/etc/yum.repos.d/CentOS-Base.repo  - make sure that is responsivle ( and 
  local to you - check http://www.centos.org/mirrors for a list of mirrors )

Then remove all files from the /var/lib/rpm/ directory except the 
Packages file, and run

rpm -v --rebuilddb
yum clean all
yum update yum
yum update kernel* audit*
yum -y update

Let us know how you get along.

- K

PS: is it just me or are lots of  people on the list TopPosting :(
Karanbir Singh : http://www.karan.org/ : 2522219 at icq

More information about the CentOS mailing list